Name:		plasma-wallpaper-timeoftheday
Summary:	A Plasma Wallpaper that changes wallpaper based on day hour
Version:	0.1
Release:	%mkrel 7
Source0:	plasma-wallpaper-timeoftheday-%{version}.tar.bz2
Patch0:		plasma-wallpaper-timeoftheday-0.1-add-translation.patch
Patch1:		plasma-wallpaper-timeoftheday-0.1-remove-debug.patch
Patch2:		plasma-wallpaper-timeoftheday-0.1-less-transitions.patch
Patch3:		mageia-default-dir.patch
Group:		Graphical desktop/KDE
License:	GPLv3+
BuildRequires:	kde4-macros
BuildRequires:	kdebase4-workspace-devel
BuildRequires:	cmake

%description
A Plasma Wallpaper that changes wallpaper based on day hour

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
%cmake_kde4
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_kde_libdir/kde4/plasma_wallpaper_timeoftheday.so
%_kde_services/plasma-wallpaper-timeoftheday.desktop




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.1-7.mga3
+ Revision: 377800
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 30 2011 sander85 <sander85> 0.1-6.mga1
+ Revision: 93945
- bump release for upgrading from mdv2010.{1,2}- fix License

* Fri Apr 29 2011 mikala <mikala> 0.1-2.mga1
+ Revision: 93498
- Clean BuildRequires

  + schultz <schultz>
    - imported package plasma-wallpaper-timeoftheday

